/**
 * Copyright (c) 2011-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.logger;

import javax.jbi.messaging.MessageExchange;

import org.ow2.petals.commons.log.TraceCode;

/**
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class ProvideFlowStepFailureLogData extends AbstractFlowLogData {

    private static final long serialVersionUID = 5443687838609898374L;

    public ProvideFlowStepFailureLogData(final String flowInstanceId, final String flowStepId,
            final String failureMessage, final MessageExchange exchange) {
        super(TraceCode.PROVIDE_FLOW_STEP_FAILURE, flowInstanceId, flowStepId);
        putData(FLOW_STEP_FAILURE_MESSAGE_NAME, failureMessage);
        putData(FLOW_EXCHANGE_PROPERTY_NAME, exchange);
    }
}
